Skip to main content
PATCH
Edit a draft invoice

Authorizations

x-api-key
string
header
required

Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.

Headers

X-Idempotency-Key
string
required

Stable caller-chosen key (max 200 chars) making the mutation safely retryable.

Maximum string length: 200

Path Parameters

invoiceId
string
required

Invoice id

Body

application/json
invoiceNumber
string
Required string length: 1 - 100
dueDate
string | null
terms
string | null
Maximum string length: 200
description
string | null
Maximum string length: 2000
billToContactId
string | null
Required string length: 1 - 200
vendorContactId
string | null
Required string length: 1 - 200

Response

{ success: true, invoice }

success
boolean
required
{key}
any